<%= render 'setup/header' %>

<div class="ui basic container segment">
  <% if notice %>
    <div class="ui info message">
      <p id="notice"><%= notice %></p>
    </div>
  <% end %>

  <h1 class="header">Employees</h1>
  <%= link_to new_employee_path, class: "ui button" do %>
    <i class="plus icon"></i> New Employee
  <% end %>

  <table class="ui celled table">
    <thead>
      <tr class="center aligned">
        <th>No.</th>
        <th>First Name</th>
        <th>Last Name</th>
        <th>Actions</th>
      </tr>
    </thead>

    <tbody>
      <% @employees.each_with_index do |employee, i| %>
        <tr>
          <td class="center aligned"><%= i + 1 %></td>
          <td><%= employee.first_name %></td>
          <td><%= employee.last_name %></td>
          <td>
            <%= link_to employee_path(employee), class: "ui primary basic button" do %>
              <i class="file icon"></i> Show
            <% end %>
            <%= link_to edit_employee_path(employee), class: "ui secondary basic button" do %>
              <i class="edit icon"></i> Edit
            <% end %>
            <%= link_to employee_path(employee), method: :delete, data: { confirm: 'Are you sure?' }, class: "ui negative basic button" do %>
              <i class="trash icon"></i> Delete
            <% end %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
  <br>
</div>
